/* ----------------------------------------------------------------------

 FILE_NAME          diag.ddl



 FUNCTIONAL_MODULE_DESCRIPTION

 Zeigt die verfgbaren Sensorinfos

 ---------------------------------------------------------------------- */

/*
 ----------------------------------------------------------------------
 Includes
 ----------------------------------------------------------------------
 */

/*
 ----------------------------------------------------------------------
 Defines
 ----------------------------------------------------------------------
 */

/*
 ------------------------------------------------------
 ####   #####   ###    ####
 #   #    #    #   #  #
 #   #    #    #####  # ###
 #   #    #    #   #  #   #
 ####   #####  #   #   ####
 ------------------------------------------------------
 */

MENU diag_fb_window
{
    LABEL TXT_DIAG_FB_HEADER;
    STYLE PAGE;
    ITEMS
    {
        overview_ai1_alarms,COLUMNBREAK,
        overview_ai2_alarms,ROWBREAK,
        overview_ai3_alarms,COLUMNBREAK,
        overview_ai4_alarms,ROWBREAK,
        overview_ai5_alarms,COLUMNBREAK,
        overview_ai6_alarms,ROWBREAK,
        overview_ai7_alarms,COLUMNBREAK,
        overview_ai8_alarms,ROWBREAK,

        overview_di1_alarms,COLUMNBREAK,

        overview_ao1_alarms

#ifdef STRATOS_DP
        ,ROWBREAK,
		overview_do1_alarms,COLUMNBREAK,
        overview_do2_alarms
#endif

    }
}

/*
 ------------------------------------------------------
 ####   #####   ###    ####
 #   #    #    #   #  #
 #   #    #    #####  # ###
 #   #    #    #   #  #   #
 ####   #####  #   #   ####
 ------------------------------------------------------
 */
MENU diag_window
{
    LABEL TXT_DIAG_DEVICE;
    STYLE PAGE;
    ITEMS
    {
        diag_page_diagnose,
        diag_page_BlockOverview
    }
}
MENU diag_page_diagnose
{
	LABEL TXT_DIAG_PAGE;
	STYLE PAGE;
	ITEMS
	{
		group_DIAGNOSIS,
		ROWBREAK,
		group_DIAGNOSIS_EXTENSION
	}
}

MENU group_DIAGNOSIS
{
    LABEL "";
    STYLE GROUP;
    ITEMS
    {
        phys_DIAGNOSIS,
        //phys_DIAGNOSIS_MASK
    }
}

MENU group_DIAGNOSIS_EXTENSION
{
    LABEL "";
    STYLE GROUP;
    ITEMS
    {
        phys_DIAGNOSIS_EXTENSION,
        //phys_DIAGNOSIS_MASK_EXTENSION
    }
}

COLLECTION OF VARIABLE colvarDiagnostics
{
    LABEL "lblpagFuncXAIAlarmSum";
    MEMBERS
    {
        ALARM0, phys_ALARM_SUM_Current;
        TAG0, phys_TAG_DESC, "Physical Block";
        TAG1, func1_AI_TAG_DESC, "FB1: AI";
        TAG2, func2_AI_TAG_DESC, "FB2: AI";
        TAG3, func3_AI_TAG_DESC, "FB3: AI";
        TAG4, func4_AI_TAG_DESC, "FB4: AI";
        TAG5, func5_AI_TAG_DESC, "FB5: AI";
        TAG6, func6_AI_TAG_DESC, "FB6: AI";
        TAG7, func7_AI_TAG_DESC, "FB7: AI";
        TAG8, func8_AI_TAG_DESC, "FB8: AI";
        TAG9, func1_AO_TAG_DESC, "FB9: AO";
        TAG10, func1_DI_TAG_DESC, "FB10: DI";
        TAG11, func1_DO_TAG_DESC, "FB11: DO";
        TAG12, func2_DO_TAG_DESC, "FB12: DO";
        CHANNEL1, func1_AI_CHANNEL;
        CHANNEL2, func2_AI_CHANNEL;
        CHANNEL3, func3_AI_CHANNEL;
        CHANNEL4, func4_AI_CHANNEL;
        CHANNEL5, func5_AI_CHANNEL;
        CHANNEL6, func6_AI_CHANNEL;
        CHANNEL7, func7_AI_CHANNEL;
        CHANNEL8, func8_AI_CHANNEL;
        CHANNEL9, func1_AO_OUT_CHANNEL;
        CHANNEL10, func1_DI_CHANNEL;
        CHANNEL11, func1_DO_IN_CHANNEL;
        CHANNEL12, func2_DO_IN_CHANNEL;
        MODE0, phys_MODE_BLK_Actual;
        MODE1, func1_AI_MODE_BLK_Actual;
        MODE2, func2_AI_MODE_BLK_Actual;
        MODE3, func3_AI_MODE_BLK_Actual;
        MODE4, func4_AI_MODE_BLK_Actual;
        MODE5, func5_AI_MODE_BLK_Actual;
        MODE6, func6_AI_MODE_BLK_Actual;
        MODE7, func7_AI_MODE_BLK_Actual;
        MODE8, func8_AI_MODE_BLK_Actual;
        MODE9, func1_AO_MODE_BLK_Actual;
        MODE10, func1_DI_MODE_BLK_Actual;
        MODE11, func1_DO_MODE_BLK_Actual;
        MODE12, func2_DO_MODE_BLK_Actual;
        ST_REV0, phys_ST_REV;
        ST_REV1, func1_AI_ST_REV;
        ST_REV2, func2_AI_ST_REV;
        ST_REV3, func3_AI_ST_REV;
        ST_REV4, func4_AI_ST_REV;
        ST_REV5, func5_AI_ST_REV;
        ST_REV6, func6_AI_ST_REV;
        ST_REV7, func7_AI_ST_REV;
        ST_REV8, func8_AI_ST_REV;
        ST_REV9, func1_AO_ST_REV;
        ST_REV10, func1_DI_ST_REV;
        ST_REV11, func1_DO_ST_REV;
        ST_REV12, func2_DO_ST_REV;
        EN_SIM1, func1_AI_SIMULATE_Enabled;
        EN_SIM2, func2_AI_SIMULATE_Enabled;
        EN_SIM3, func3_AI_SIMULATE_Enabled;
        EN_SIM4, func4_AI_SIMULATE_Enabled;
        EN_SIM5, func5_AI_SIMULATE_Enabled;
        EN_SIM6, func6_AI_SIMULATE_Enabled;
        EN_SIM7, func7_AI_SIMULATE_Enabled;
        EN_SIM8, func8_AI_SIMULATE_Enabled;
        EN_SIM9, func1_AO_SIMULATE_Enabled;
        EN_SIM10, func1_DI_SIMULATE_Enabled;
        EN_SIM11, func1_DO_SIMULATE_Enabled;
        EN_SIM12, func2_DO_SIMULATE_Enabled;
    }
}

MENU diag_page_BlockOverview
{
    LABEL TXT_DIAG_OVERVIEW;
    STYLE PAGE;
    ITEMS
    {
        colvarDiagnostics.TAG0,
        column
        colvarDiagnostics.ALARM0,
        column
        colvarDiagnostics.ST_REV0,
        column
        colvarDiagnostics.MODE0,
        row
        colvarDiagnostics.TAG1,
        column
        colvarDiagnostics.CHANNEL1,
        column
        colvarDiagnostics.ST_REV1,
        column
        colvarDiagnostics.MODE1,
        row
        colvarDiagnostics.TAG2,
        column
        colvarDiagnostics.CHANNEL2,
        column
        colvarDiagnostics.ST_REV2,
        column
        colvarDiagnostics.MODE2,
        row
        colvarDiagnostics.TAG3,
        column
        colvarDiagnostics.CHANNEL3,
        column
        colvarDiagnostics.ST_REV3,
        column
        colvarDiagnostics.MODE3,
        row
        colvarDiagnostics.TAG4,
        column
        colvarDiagnostics.CHANNEL4,
        column
        colvarDiagnostics.ST_REV4,
        column
        colvarDiagnostics.MODE4,
        row
        colvarDiagnostics.TAG5,
        column
        colvarDiagnostics.CHANNEL5,
        column
        colvarDiagnostics.ST_REV5,
        column
        colvarDiagnostics.MODE5,
        row
        colvarDiagnostics.TAG6,
        column
        colvarDiagnostics.CHANNEL6,
        column
        colvarDiagnostics.ST_REV6,
        column
        colvarDiagnostics.MODE6,
        row
        colvarDiagnostics.TAG7,
        column
        colvarDiagnostics.CHANNEL7,
        column
        colvarDiagnostics.ST_REV7,
        column
        colvarDiagnostics.MODE7,
        row
        colvarDiagnostics.TAG8,
        column
        colvarDiagnostics.CHANNEL8,
        column
        colvarDiagnostics.ST_REV8,
        column
        colvarDiagnostics.MODE8,
        row
        colvarDiagnostics.TAG9,
        column
        colvarDiagnostics.CHANNEL9,
        column
        colvarDiagnostics.ST_REV9,
        column
        colvarDiagnostics.MODE9,
        row
        colvarDiagnostics.TAG10,
        column
        colvarDiagnostics.CHANNEL10,
        column
        colvarDiagnostics.ST_REV10,
        column
        colvarDiagnostics.MODE10
#ifdef STRATOS_DP
        ,
        row
        colvarDiagnostics.TAG11,
        column
        colvarDiagnostics.CHANNEL11,
        column
        colvarDiagnostics.ST_REV11,
        column
        colvarDiagnostics.MODE11,
        row
        colvarDiagnostics.TAG12,
        column
        colvarDiagnostics.CHANNEL12,
        column
        colvarDiagnostics.ST_REV12,
        column
        colvarDiagnostics.MODE12
#endif
        ,
        meas_type(HIDDEN)
    }
}
